package net.northking.cctp.element.string;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>这是一个用于字符串操作和验证的测试组件库。</p>
 * 字符串组件库是平台基本库，用于操作字符串（例如：字符串截取、分割、拼接、首尾去空格、大小写转换、字符串比较、索引字符、字符串反转、替换等）。
 */
@Library(scanBasePackage = "net.northking.cctp.element.string", infoClass = StringLibrary.class)
public class StringLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(StringLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(StringLibrary.class);
    private static final String NAME = "NK.String";
    private static final String CH_NAME = "字符串通用组件库";
    private static final String VERSION = "3.9.4";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_COMMON;

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getChName() {
        return CH_NAME;
    }

    @Override
    public String getVersion() {
        return VERSION;
    }

    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    @Override
    public Integer getType() {
        return TYPE;
    }

    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

}